/*
* Copyright (c) 2006 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the abstract interface which forms base class for all 
				 Extended Event Handlers
				 
*
*/


#ifndef __MMI_EXTENDED_EVENT_LISTENER_H__
#define __MMI_EXTENDED_EVENT_LISTENER_H__

/**
* The MMMIExtendedEvtHndlr class is an abstract interface which forms base class for all Extended Event Handlers
* and allows handler implementations to remain encapsulated from the ownser of the event, making adding and removing
* events simpler.
*/
class MMMIExtendedEvtHndlr
{
public:
	virtual void Destroy() = 0;
};

#endif
