/*
* Copyright (c) 2006 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the stub application class for MMI.
*
*/


#ifndef __FLASH_STUB__INCLUDE__
#define __FLASH_STUB__INCLUDE__

#include <aknapp.h>
#include <akndoc.h>

class CFlashStubApplication : public CAknApplication
{
public:
	~CFlashStubApplication();
	TUid AppDllUid() const;

protected:
	CApaDocument* CreateDocumentL();
	RLibrary iFlashLibrary;
};

#endif // __FLASH_STUB_INCLUDE__
