/*
* Copyright (c) 2006 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the constants.
*
*/

#ifndef _MMI_DEFS_H_
#define _MMI_DEFS_H_

const TInt KMMIExtensionUIDValue=0x1027367a;
const TUid KMMIExtensionUID={KMMIExtensionUIDValue};
const unsigned short KIdSize = 16;
const TInt KAsciiNill = 48;

// constants for extended keys. If any keys are longer than 27 chars update the code that
// appends them into the descriptor!
_LIT(KLitExtendedKeySend,"send");
_LIT(KLitExtendedKeyEndCall,"endcall");
_LIT(KLitExtendedKeyEdit,"edit");
_LIT(KLitExtendedKeyClear,"clear");
_LIT(KLitExtendedKeySoft1,"soft1");
_LIT(KLitExtendedKeySoft2,"soft2");

_LIT8(KLit8Ringtone, "ringtones");
_LIT8(KLit8WallPaper, "wallpapers");
_LIT8(KLit8Applications, "applications");

// hard-code for now... this value should be read from .INI file
_LIT(KFileRoot,"c:\\");

_LIT8(KLitContLen,"Content-Length");

_LIT(KLitMMIResName,"Resource\\apps\\flashmmi_resources.rsc");

#endif // _MMI_DEFS_H_