﻿/*
* ============================================================================
*  Name        : ServiceUtilsProxy.as
*  Part of     : Nokia Flash Lite
*  Description : Defines the ServiceUtilsProxy class.
*                
*  Version     :
*
*  Copyright © 2008-2009 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia
* ============================================================================
*/

intrinsic class com.nokia.impl.ServiceUtilsProxy {
	/*
	  Function: GetServiceList
	
	  Requests to get List of versions of a service provider available.
	
	  Parameters:
	   aService   -  Service Provider name
	   aInterface -  Interface name
	   aVaerion   -  Version Info
	
	  Returns:
	  Returns a Object containing list of service providers.
	*/	
	static function GetServiceList(aService:String, aInterface:String, aVersion:Object):Object;
	
	};
