﻿/*
* ============================================================================
*  Name        : StringParam.as
*  Part of     : Nokia Flash Lite
*  Description : Defines the class to store the string constants.
*                
*  Version     :
*
*  Copyright © 2008-2009 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia
* ============================================================================
*/
/*
  Class: com.nokia.lib.StringParam

  This class stores the string constants.
*/
class com.nokia.impl.StringParam {
	public static var ECancel:String = "Cancel";
	public static var EFirstAsyncCall:String = "__ASYNC__";
	public static var ESubsequentAsyncCall:String = "Async";
	public static var EAsyncID:String = "asyncID";
	public static var EEventID:String = "eventID";
	public static var EErrorCode:String = "errorcode";
	public static var EAsyncCancel:String = "AsyncCancel";
	public static var ESAPIErrorCode:String = "ErrorCode";
	public static var EUnLoadService:String = "UnLoadService";
}
