﻿/*
* ============================================================================
*  Name        : Iterable.as
*  Part of     : Nokia Flash Lite
*  Description : Defines the Iterator class.
*                
*  Version     :
*
*  Copyright © 2008-2009 Nokia. All rights reserved.
*  This material, including documentation and any related 
*  computer programs, is protected by copyright controlled by 
*  Nokia. All rights are reserved. Copying, including 
*  reproducing, storing, adapting or translating, any 
*  or all of this material requires the prior written consent of 
*  Nokia. This material also contains confidential 
*  information which may not be disclosed to others without the 
*  prior written consent of Nokia
* ============================================================================
*/
/**
 * Defines forward moving iterator interface
 *
 */
intrinsic class com.nokia.lib.Iterable {
	
	/**
	 * Resets the iterator to point to the first element of the iterator.
	 *
	*/
	 public function reset();
	
	/**
	 * Fetches the next element in the iterator
	 *
	 * @return the next available element; Otherwise NULL
	 */
	 public function next():Object;
	 
	 /**
	 * close iterator object. 
	 * 
	 */
	 public function Close();

}