/*
* Copyright (c) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the Macros for Logging. 
 *                                            
 *
*/

#ifndef __DEBUGLOG_H__
#define __DEBUGLOG_H__

#ifdef _DEBUG
#define DEVICECMDSTRACE(args...) RDebug::Print(##args)
#define DEVICECMDSTRACEF(args...) RDebug::Printf(##args)

#else

#define DEVICECMDSTRACE(args...) 
#define DEVICECMDSTRACEF(args...)
#endif 




#endif//__DEBUGLOG_H__
