/*
* Copyright (c) 2006-2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  CFlashPluginControlFactory header file
*
*/

#ifndef __FLASH_PLUGIN_CONTROL_FACTORY_H
#define __FLASH_PLUGIN_CONTROL_FACTORY_H

#include "commontypes.h"
#include "flashplugincontrol.h"
//#include "FlashPluginInstance.h"

//FORWARD DECLARATIONS
class MPluginView;
class MFlashPluginInstance;

class CFlashPluginControlFactory : public CBase
{
	private:
						
					CFlashPluginControlFactory();
					~CFlashPluginControlFactory();
					
	public:
					
					static MPluginView* GetInstanceL(MFlashPluginInstance* aInstance, TWindowMode aWMode);						
};

#endif
//End of File 
