#
# Copyright (c) 2004 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This software, including documentation is protected by copyright controlled
# by Nokia Corporation. Copying, including reproducing, storing, adapting or
# translating, any or all of this material can only be done in accordance
# with the Nokia Symbian License version 1.0 (or any subsequent update) or
# any other license terms expressly agreed between you and Nokia.
# This material contains Nokia's confidential information which
# may not be disclosed to others without the prior written consent of Nokia.
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description: 
#

ifeq (WINS,$(findstring WINS, $(PLATFORM)))
ZDIR=\epoc32\release\$(PLATFORM)\$(CFG)\Z
else
ZDIR=\epoc32\data\z
endif

# ----------------------------------------------------------------------------
# TODO: Configure these
# ----------------------------------------------------------------------------

TARGETDIR=$(ZDIR)\RESOURCE\APPS
HEADERDIR=\epoc32\include
ICONSOURCEFILENAME=\epoc32\s60\bitmaps
ICONTARGETFILENAME=$(TARGETDIR)\FLASHPLUGIN.MBM
HEADERFILENAME=$(HEADERDIR)\FLASHPLUGIN_BITMAP.MBG

do_nothing :
	@rem do_nothing

MAKMAKE : do_nothing

BLD : do_nothing

CLEAN : do_nothing

LIB : do_nothing

CLEANLIB : do_nothing

# ----------------------------------------------------------------------------
# TODO: Configure these.
#
# NOTE 1: DO NOT DEFINE MASK FILE NAMES! They are included automatically by
# MifConv if the mask detph is defined.
#
# NOTE 2: Usually, source paths should not be included in the bitmap
# definitions. MifConv searches for the icons in all icon directories in a
# predefined order, which is currently \s60\icons, \s60\bitmaps2.
# The directory \s60\icons is included in the search only if the feature flag
# __SCALABLE_ICONS is defined.
# ----------------------------------------------------------------------------

RESOURCE :
	mifconv $(ICONTARGETFILENAME) /h$(HEADERFILENAME) /E \
   /c8 $(ICONSOURCEFILENAME)\qgn_indi_flash_error.bmp \
	 /c32,1 $(ICONSOURCEFILENAME)\qgn_indi_viewer_pointer_hand.bmp 

FREEZE : do_nothing

SAVESPACE : do_nothing

RELEASABLES :
	@echo $(HEADERFILENAME)&& \
	@echo $(ICONTARGETFILENAME)
	
FINAL : do_nothing
