/*
* Copyright (c) 2005 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the dummy ccoecontrol(window) to hold a external surface
                 in NGA
*
*/



#ifndef __SURFACE_CONTAINER_CONTROL_H__
#define __SURFACE_CONTAINER_CONTROL_H__

//#include "symbian_sa_build.h"
#include "saplayer_build.h"

#include <coecntrl.h>
#include <aknnavi.h>
#include <aknnavide.h>
#include <AknUtils.h>

class CSurfaceContainerControl : public CCoeControl
{
public:    
    static CSurfaceContainerControl* NewL(RWindowTreeNode* aParent, TRect rect);
    RWindow& GetWindow();
    
protected:    
    void ConstructL(RWindowTreeNode* aParent, TRect rect);
    void Draw(const TRect& aRect) const;

private:
    CSurfaceContainerControl();
};

#endif // __SURFACE_CONTAINER_CONTROL_H__
