/*
* Copyright (c) 2002-2004 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Definition of the interface MVolumePropertyWatchObserver used to
*                observer events from CVolumePropertyWatch
*
*/


//
// JRT 22_09_04
// Version 1.0 release.

#ifndef VOLUME_PROPERTY_WATCH_OBSERVER
#define VOLUME_PROPERTY_WATCH_OBSERVER

class MVolumePropertyWatchObserver
{
    public:
        virtual void MVolumeChanged(TInt aNewValue) = 0;
        virtual void MHandleVolumeCmdL(TInt aCommandId) = 0;
//        virtual void MHandleVolumeRectRedraw() = 0;
};

#endif

