/*
* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/

// ---------------------------------------------------------------------------
// inline constructor
//
// ---------------------------------------------------------------------------
inline CFlashRTPolicyStore::CFlashRTPolicyStore(RFs& aFs)
    : iFs(aFs)
    {
    }

// ---------------------------------------------------------------------------
// inline constructor
//
// ---------------------------------------------------------------------------
inline CFlashRTPolicyStore::CPolicyEntry::CPolicyEntry()
    {
    iFileNameLength = 0;
    iFileName = KNullDesC;
    iHash = NULL;
    }

// ---------------------------------------------------------------------------
// inline constructor
//
// ---------------------------------------------------------------------------
inline CFlashRTPolicyStore::TPolicyStatus::TPolicyStatus() :
    iPolicyIdExists(EFalse), 
    iPolicyFileExists(EFalse),
    iDirty(EFalse),
    iPolicyFileFullName(_L("")),
    iError(KErrNone)
    {
    }
