/*
* Copyright (c) 2006 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Implements the member functions of the class which implements the 
*				 main hostengine functionality.
*
*/


#ifndef __MMC_ACTIVITY_OBSERVER

#define __MMC_ACTIVITY_OBSERVER

class MMMCActivityObserver
{
public:
//	virtual void WriteComplete() = 0;
	virtual void ReadCompleteL(TInt aStatus, const TDesC8& aData) = 0;
	virtual TInt NotifyError(TInt aStatus) = 0;
/*	virtual void MMCRemoved() = 0;
	virtual void MMCCorrupted() = 0;*/
};

#endif //__MMC_ACTIVITY_OBSERVER