/*
* Copyright (c) 2007 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  defines the member functions of the class that is used to 
*				 access user agent information.
*
*/


#ifndef __SYMBIAN_USER_AGENT_INFO_H__
#define __SYMBIAN_USER_AGENT_INFO_H__


class CUserAgentInfo : public CBase
    {
    	public:
    				CUserAgentInfo();
    				
    				static CUserAgentInfo* NewL();
					virtual ~CUserAgentInfo();
		
		private:
				 	void ConstructL();
					
		public:		
					const TDesC8& GetUserAgentL();
		
		private:
					void MakeUserAgentInfoL();
					
		private:	
					HBufC8*	iUserAgentBuf;
					TPtr8	iUsrAgent;
										
					

    };	


#endif //__SYMBIAN_USER_AGENT_INFO_H__



