/*
* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
/* -*- mode: c++; c-set-style: "stroustrup"; tab-width: 4; -*-
 *
 * GPU.h
 *
 */

#ifndef _GPU_h_
#define _GPU_h_

#ifdef ACHW

#include "achwconf.h"

#if ACHW_DRAWING_LIB == ACHW_DRAWING_LIB_IS_OPENVG
#elif ACHW_DRAWING_LIB == ACHW_DRAWING_LIB_IS_OPENGL_ES
#else
#error unknown ACHW_DRAWING_LIB
#endif

//#include <windows.h>
#include <GLES/egl.h>
#if ACHW_DRAWING_LIB == ACHW_DRAWING_LIB_IS_OPENGL_ES
#include <GLES/gl.h>
#elif ACHW_DRAWING_LIB == ACHW_DRAWING_LIB_IS_OPENVG
#include <vg/openvg.h>
#include <vg/vgu.h>
#endif

class GPU {
// public:
// 	HDC _dc;
// 	HWND _hwnd;
// 	HBITMAP _pixmap;
// 	RECT _r;
// 	UINT *_bits;
// 	EGLDisplay iEglDisplay;
// 	EGLConfig  iEGLConfig;
// 	EGLContext iEglContext;
// 	EGLSurface iEglSurface;
// 
// 	GPU();
// 	~GPU();
// 	bool initialize(HWND hWnd);
// 	void finalize();
// 	bool makeCurrent(bool is_current);
// 	void swapBuffers(HDC dc, int x, int y, int w, int h);
// 	void dumpScreen(HDC dc, int id, int w, int h);
// 	HBITMAP createPixmap(HDC hDC, int width, int height, UINT **vram);
};

#endif // ACHW

#endif
