/*
* Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the class CASExtension_Delegate.
                                 
*
*/


inline CASExtensionDelegate* CASExtensionDelegate::NewL(const TDesC8& aMatch)
{
	const TUid KASExtInterfaceUid = {0x2001E5C7};

	TEComResolverParams resolverParams;
	resolverParams.SetDataType (aMatch);
	resolverParams.SetWildcardMatch (EFalse); //exact name or nothing

	TAny* pInterface =NULL;
	pInterface = REComSession::CreateImplementationL (KASExtInterfaceUid,_FOFF (CASExtensionDelegate, iDtor_ID_Key),resolverParams);

	CASExtensionDelegate* del = reinterpret_cast <CASExtensionDelegate*> (pInterface);
	return del;
}
