/*
* Copyright (c) 2009-2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the interface MFlashEngineIntfToASExtension.
                                 
*
*/


#ifndef __FLASH_ENGINE_INTERFACE_ASEXTENSION__
#define __FLASH_ENGINE_INTERFACE_ASEXTENSION__

#include "flashliteExtensionInterfaces.h"


struct ExtensionArg {
        FLExtensionVarType variableType;
        void* pVariableValue;
    };


typedef RPointerArray<ExtensionArg> RASExtensionArgArray;

class MFlashEngineIntfToASExtension
{
public:
    virtual void ProcessHostCmdL(const TDesC& aCommandName, RASExtensionArgArray& argument, TInt& aReturnValue) = 0;
};


#endif // __FLASH_ENGINE_INTERFACE_ASEXTENSION__
