/*
* Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
                                 
*
*/


#ifndef FLASHVIDEOIF_H_
#define FLASHVIDEOIF_H_

#include <e32std.h>
#include <w32std.h>

class MFlashVideoClientIf
    {
public:
    virtual void  HandleVideoError(const TInt& aError) = 0;
    virtual void FLVideoStarted() = 0;
    virtual void FLVideoFinished() =0;
    virtual void VideoIsEmbedded(TBool aEmbeddedVideo) =0;
    };

#endif /* FLASHVIDEOIF_H_ */
