/*
* Copyright (c) 2005 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines the App Ui class.
*
*/

#ifndef __SYMBIAN_DEFS_H__
#define __SYMBIAN_DEFS_H__


/* 
 * Flash static heap
 */
const TUint32	KSAFlashAppStaticHeapSize = 1 << 20;		// 1MB for the Flash static heap
/*
 * Flash dynamic heap
 */
const TUint32	KSAFlashAppDynamicHeapMaxSize = 48 << 20;	// 48MB for the Flash dynamic heap


#endif // __SYMBIAN_DEFS_H__