/*
* Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
                                 
*
*/


#ifndef __FLH_QUERY_DIALOG_H__
#define __FLH_QUERY_DIALOG_H__

#include "platformbuild.h"

#include <e32std.h>
#include <AknGlobalNote.h>
#include <aknnotedialog.h> 

/**
* The CFlhQueryDialog dialog is a CAknNoteDialog that cannot be dismissed by the user
* except by pressing the CBA buttons.
*
*/
class CFlhQueryDialog : public CAknNoteDialog
{
public:
	CFlhQueryDialog(const TTone aTone, const TTimeout aTimeout);

	~CFlhQueryDialog();

private:
	TKeyResponse OfferKeyEventL(const TKeyEvent& /*aKeyEvent*/,TEventCode /*aType*/);
};

#endif __FLH_QUERY_DIALOG_H__