/*
* Copyright (c) 2008-2009 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
                                 
*
*/


#ifndef __SYMBIAN_FLASHVIEW_H__
#define __SYMBIAN_FLASHVIEW_H__

#include <aknview.h>

class CSaFlashView : public CAknView
{
public:
	CSaFlashView() {fBeingDestroyed = EFalse;};
	virtual ~CSaFlashView() {fBeingDestroyed = ETrue;};
	
	virtual CCoeControl* GetContainer() = 0;

	TBool fBeingDestroyed;
};
class MVolumeObserver
{
	public:
	virtual void VolumeChanged(TInt aVolume) = 0;
};
#endif //__SYMBIAN_FLASHVIEW_H__