// Test.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <io.h>
#include <fcntl.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <string.h>

int _tmain(int argc, _TCHAR* argv[])
{
	char *readBuf1 = NULL, *readBuf2 = NULL, *readBuf = NULL, *writeBuf = NULL;

	int inFileInt = _open("flashrtbindingaslibrary.swf",_O_RDONLY);	
	int outFileInt = _open("flashrtbindingaslibraryswf.cpp",_O_RDWR | _O_CREAT, _S_IWRITE);

	if(inFileInt < 0 || outFileInt < 0)
	{
		printf("Could not open files");
		return 0;
	}

	//fseek(inFile,0,SEEK_END);
	_lseek(inFileInt,0,SEEK_END);

	long int size = _tell(inFileInt); //ftell(inFile);
	
	//fseek(inFile,0,SEEK_SET);
	_lseek(inFileInt,0,SEEK_SET);

	
	readBuf  = new char[size];
	writeBuf = new char[256];

	//fread(readBuf,1,size,inFile);
	_read(inFileInt,readBuf,size);

	printf("size = %ld",size);

	sprintf(writeBuf,"\nconst TInt KAsLibrarySwfFileSize = %d;\n",size);
	_write(outFileInt,writeBuf,strlen(writeBuf));

	sprintf(writeBuf,"\nconst TUint8 KAsLibrarySwfData[KAsLibrarySwfFileSize] = {\n");
	_write(outFileInt,writeBuf,strlen(writeBuf));


	long int i;

	for(i=0; i<size; i++)
	{
		unsigned char byte = readBuf[i];
		char hexInAscii;

		//printf("%x",byte);

		//fwrite("0x",1,1,outFile);
		sprintf(writeBuf,"0x");
		_write(outFileInt,writeBuf,strlen(writeBuf));

		unsigned char temp = (byte & 0xF0) >> 4;
		if(temp<10)
			hexInAscii = temp + '0';
		else
			hexInAscii = temp - 10 + 'A';

		//fwrite(&hexInAscii,1,1,outFile);
		sprintf(writeBuf,"%c",hexInAscii);
		_write(outFileInt,writeBuf,strlen(writeBuf));


		temp = byte & 0x0F;
		if(temp<10)
			hexInAscii = temp + '0';
		else
			hexInAscii = temp - 10 + 'A';

		//fwrite(&hexInAscii,1,1,outFile);
		sprintf(writeBuf,"%c",hexInAscii);
		_write(outFileInt,writeBuf,strlen(writeBuf));

		if(i<size-1)
		{
			//fwrite(",",1,1,outFile);
			_write(outFileInt,",",1);
		}

		if((i+1)%16 == 0)
		{
			//fwrite("\n",1,1,outFile);
			_write(outFileInt,"\n",1);
		}
	}

	sprintf(writeBuf," };\n");
	_write(outFileInt,writeBuf,strlen(writeBuf));

	_close(inFileInt);
	_close(outFileInt);

	delete readBuf;
	delete writeBuf;

	return 0;
}

