/*
* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/
/*
 * flashimeclientif.h
 *
 *  Created on: Sep 8, 2009
 *      Author: sujpatil
 */

#ifndef FLASHIMECLIENTIF_H_
#define FLASHIMECLIENTIF_H_

class MFlashImeClientIf
{
public:
    virtual TLanguage CurrentInputLanguage()=0;
    virtual void GetInputTextL(const TUint16* aInitialString, TUint aStrLen, 
                                        TUint aMaxNumChars, TUint aTextFlags)=0;
    
    virtual TKeyResponse HandleKeyEventL(const TKeyEvent& aKeyEvent, 
                                                     TEventCode aType)=0;
    virtual void ResetIMEL()=0;
    virtual TInt GetQwertyKeyPadStatus()=0;
    virtual void* GetParentControl()= 0;
};
#endif /* FLASHIMECLIENTIF_H_ */
