/*
* Copyright (c) 2005 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
*
*/


#ifndef DEVICEEXTNIMPL_H_
#define DEVICEEXTNIMPL_H_

#include "deviceextnif.h"
#include <e32base.h>

class CSender;

class CDeviceExtn : public CBase, public MDeviceExtnIf
    {
public:    
    static CDeviceExtn* NewL();
    virtual ~CDeviceExtn();
    virtual void SendMessage(const TUid aMtmUid, char* aAddress,
            char* aBodyText);
    
    virtual void SendMessage(const TUid /*aMtmUid*/,
            const TDesC& /*aAddress*/, const TDesC& /*aBodyText*/);

    virtual void
            SendMessageL(const TUid /*aMtmUid*/, const TMailInfo& /*aMailInfo*/, TBool aEmbedded=EFalse);
    
private:    
    CDeviceExtn();    
    void ConstructL();
    
    CSender* iSender;
    };

#endif /* DEVICEEXTNIMPL_H_ */
