/*
* Copyright (c) 2007-2008 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Defines enumerations and constants common between client and
                  server
 *
*/


#ifndef FLASHRTPOLICYSERVERCOMMON_H__
#define FLASHRTPOLICYSERVERCOMMON_H__

/**
 * IPC command Enumeration
 *
 */
#include <e32std.h>
#include <s32std.h>

enum TFlashRTPolicyServerRequest
	{
	EGetPolicyId,
	EGetFontFileHandle
	};

enum TSharedMemoryRequest
    {
    EGetSharedMemory =2,
    ELockSharedMemory,
    EUnLockSharedMemory,
    EDeleteSharedMemory
    };

#endif // FLASHRTPOLICYSERVERSHARED_H__

