/*
* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  GOOM plugin for Flash.
*
*/



#ifndef _FLASHGPUMEMWATCH_H_
#define _FLASHGPUMEMWATCH_H_

#include <goommonitorplugin.h>
#include "gpumemwatchcommon.h"

class CFlashGoomMonitorPlugin : public CGOomMonitorPlugin
{
public:
    static CFlashGoomMonitorPlugin* NewL();
    ~CFlashGoomMonitorPlugin();

    //From CGOomMonitorPlugin
    void FreeRam(TInt aBytesToFree, TInt aFlags);
    void MemoryGood(TInt aFlags);

protected:    
    CFlashGoomMonitorPlugin();    
    void ConstructL();
    
private:
    RProperty iGPUMemStatus;
};

#endif
