/*
* Copyright (c) 2006 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  
*
*/


#ifndef PLUGINMSGHANDLERIF_H_
#define PLUGINMSGHANDLERIF_H_
class TMailInfo;

#include <e32def.h>
#include <e32std.h>
#include <e32cmn.h>

class MDeviceExtnIf
    {
public:    
    virtual void SendMessage(const TUid aMtmUid, char* aAddress,
            char* aBodyText) = 0;
    virtual void SendMessage(const TUid /*aMtmUid*/,
            const TDesC& /*aAddress*/, const TDesC& /*aBodyText*/) = 0;
    
    virtual void
            SendMessageL(const TUid /*aMtmUid*/, const TMailInfo& /*aMailInfo*/, TBool aEmbedded=EFalse) = 0;
    
    //virtual TUint GetFeatureCapability()=0;
    
#ifdef FEATURE_EXTENSION
    virtual void ResumeOnEventL(TBool aForeGround) = 0;
    virtual void PauseOnRequest(TBool aForeGround) = 0;
#endif  
    };
#endif /* PLUGINMSGHANDLERIF_H_ */
