/*
* Copyright (c) 2006-2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Plugin Script interaction class 
*
*/
 

#ifndef _MPLUGIN_SCRIPT_HANDLER_H___
#define _MPLUGIN_SCRIPT_HANDLER_H___

//Tobe implemented by plugin
#ifdef FEATURE_WEB_BROWSABILITY

class MPluginScriptHandler
{
	public:
			virtual int CallMethodL(const char* aReq)=0;
			
			virtual int EvaluateJavaScript(const char* aExpr) =0;
			
			virtual void* GetDOMObjectID()=0 ; //TODO::need to check args
			
			virtual TInt DoFsCommandL (TDesC8& name
        							,const char* aCmd
        							,const char* aArgs ) = 0;
};

#endif

#endif //_MPLUGIN_SCRIPT_HANDLER_H___