/*
* Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/


#if !defined(__RECSWF_H__)
#define __RECSWF_H__

#if !defined(__APMREC_H__)
#include <apmrec.h>
#endif

class CSwfRecognizer : public CApaDataRecognizerType
{
public: // from CApaDataRecognizerType
	CSwfRecognizer();
	~CSwfRecognizer();
	TUint PreferredBufSize();
	TDataType SupportedDataTypeL(TInt aIndex) const;
    static CApaDataRecognizerType* CreateRecognizerL();

private: // from CApaDataRecognizerType
	void DoRecognizeL(const TDesC& aName, const TDesC8& aBuffer);
	TInt NameRecognizedL(const TDesC& aName);
	TInt HeaderRecognized(const TDesC8& aBuf);
};

#endif
