#
# Copyright (c) 2010 Nokia Corporation and/or its subsidiary(-ies).
# All rights reserved.
# This software, including documentation is protected by copyright controlled
# by Nokia Corporation. Copying, including reproducing, storing, adapting or
# translating, any or all of this material can only be done in accordance
# with the Nokia Symbian License version 1.0 (or any subsequent update) or
# any other license terms expressly agreed between you and Nokia.
# This material contains Nokia's confidential information which
# may not be disclosed to others without the prior written consent of Nokia.
#
# Initial Contributors:
# Nokia Corporation - initial contribution.
#
# Contributors:
#
# Description:
#

ifeq (WINS,$(findstring WINS, $(PLATFORM)))
ZDIR=$(EPOCROOT)epoc32\release\$(PLATFORM)\$(CFG)\Z
else
ZDIR=$(EPOCROOT)epoc32\data\z
endif
 
TARGETDIR=$(ZDIR)\RESOURCE\APPS
ICONTARGETFILENAME=$(TARGETDIR)\keypad_fl_t.MIF

HEADERDIR=$(EPOCROOT)epoc32\include
HEADERFILENAME=$(HEADERDIR)\keypad_fl_t.mbg

ICONDIR=..\gfx
 
do_nothing :
	@rem do_nothing
 
MAKMAKE : do_nothing
 
BLD : do_nothing
 
CLEAN : do_nothing
 
LIB : do_nothing
 
CLEANLIB : do_nothing
 
RESOURCE :
	mifconv $(ICONTARGETFILENAME) /h$(HEADERFILENAME) /c32,8 ..\gfx\qgn_indi_flash_toolbar_zoom.svg /c32,8 ..\gfx\qgn_indi_flash_toolbar_play.svg /c32,8 ..\gfx\qgn_indi_flash_toolbar_pause.svg /c32,8 ..\gfx\qgn_indi_flash_toolbar_fs.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_up.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_select_alt.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_select.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_rsk.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_right.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_lsk.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_left.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_exit_fs.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_down.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_button_background_alt.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_button_background.svg /c32,8 ..\gfx\qgn_indi_flash_keypad_background.svg
FREEZE : do_nothing
 
SAVESPACE : do_nothing
 
RELEASABLES :
	@echo $(MY_ICONS)
	@echo $(MY_ICONS_HEADER)
 
FINAL : do_nothing