/*
* Copyright (c) 2006-2008 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:
*
*/


#ifndef OVERLAYCONSTANTS_H_
#define OVERLAYCONSTANTS_H_

const TInt KOSKDefaultRows = 3;
const TInt KOSKDefaultCols = 3;

const TInt KOSKQwertyLandscapeRows = 3;
const TInt KOSKQwertyLandscapeCols = 1;

const TInt KOSKPortraitWithOneRow = 1;
const TInt KOSKPortraitWithThreeColumns = 3;

const TInt KOSKPortraitModeHeightFactor = 33;
const TInt KOSKPortraitModeWithToggleIconHeightFactor = 11;
const TInt KOSKLandscapeModeWidthFactor = 33;
const TInt KOSKQwertyLandscapeModeWidthFactor = 11;
const TInt KOSKPercentFactor = 100;

const TInt KOSKGridHorizontalMargin = 2;
const TInt KOSKGridVerticalMargin = 2;

const TInt KOSKOnScreenKeypadPadding = 10;

#endif /* OVERLAYCONSTANTS_H_ */
