/*
* Copyright (c) 2005 Nokia Corporation and/or its subsidiary(-ies).
* All rights reserved.
* This software, including documentation is protected by copyright controlled
* by Nokia Corporation. Copying, including reproducing, storing, adapting or
* translating, any or all of this material can only be done in accordance
* with the Nokia Symbian License version 1.0 (or any subsequent update) or
* any other license terms expressly agreed between you and Nokia.
* This material contains Nokia's confidential information which
* may not be disclosed to others without the prior written consent of Nokia.
*
* Initial Contributors:
* Nokia Corporation - initial contribution.
*
* Contributors:
*
* Description:  Implements the member functions of the note dialog class
*
*/


#include "platformbuild.h"

#include <e32std.h>
#include "symbian_s60_notedlg.h"

//
// class CFlhQueryDialog
//
CFlhQueryDialog ::CFlhQueryDialog(const TTone aTone, const TTimeout aTimeout)
:CAknNoteDialog(aTone,aTimeout){}

CFlhQueryDialog::~CFlhQueryDialog() 
{}


TKeyResponse CFlhQueryDialog::OfferKeyEventL(const TKeyEvent& /*aKeyEvent*/,TEventCode /*aType*/)
{
	return EKeyWasConsumed;
}
